Subject: [bug#28516] Cinnamon-Desktop (a package, not the full desktop!)

From: ng0 <[email-masked]>
Date: Fri, 13 Oct 2017 06:44:06 +0000

Christopher Baines transcribed 1.8K bytes:
> On Tue, 19 Sep 2017 16:23:14 +0000
> ng0 <[email-masked]> wrote:
> 
> > This adds 'cinnamon-desktop', the start for Cinnamon.
> 
> Hey ng0,
> 
> I don't know much about Cinnamon, is there a way I could test this
> package, or is it not much use until more cinnamon related packages
> are added? 

As far as I know it's not much use until more of Cinnamon is added.
Why I didn't include more is a bug report I filed at upstream. As I got
no response it's up to myself to do some more reading into Cinnamon itself
to understand the way they build it. The first obvious attempts failed,
but lots of things I work on have a long history already.

We can only start to correct things at the foundation when we have the
architecture to realize it doesn't fit. Right now I believe that building
without errors is the best we can do.

> guix lint resports some issues:
> 
> gnu/packages/cinnamon.scm:38:2: [email-masked]: 'glib:bin' should probably be a native input
> gnu/packages/cinnamon.scm:82:14: [email-masked]: synopsis should not start with the package name
> gnu/packages/cinnamon.scm:38:2: [email-masked]: trailing white space on line 60

Okay, thanks I'll send fixes within the next 7 days.

> Thanks,
> Chris

-- 
ng0
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://dist.ng0.infotropique.org/dist/keys/
https://www.infotropique.org https://ng0.infotropique.org